PCI DSS Compliance for Travelport Galileo & Smartpoint Users

 

To support you on your journey towards the Payment Card Industry Data Security Standards (PCI DSS) compliance, Travelport customers must download the latest versions of Galileo SSL and Travelport Smartpoint, before IATA’s proposed deadline of 01 March 2018.

The latest versions are Galileo SSL3.0.0.71 and Travelport Smartpoint 7.5. There is no auto- upgrade, so you must download these as a bundle.

Please note, from 01 March 2018, version 7.5 of Travelport Smartpoint and beyond, will be the only versions supported by Travelport. Therefore, regardless of whether you are a Travelport Smartpoint user or a Galileo Desktop user, you must install this bundle before this deadline to continue your connection to Travelport.

 

To check if your versions of Smartpoint and Galileo SSL tunnel are PCI ready, click here

 

To access the bundle, click here: PCI Compliant Bundle (Travelport Smartpoint and Galileo SSL

 

For our Step by Step Download Guide, click here: Bundle Support Guide